<?php

/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);
	
use D3\ManufacturerInformation\Application\Controller\Admin\ManufacturerInfoLongdesc;
use D3\ManufacturerInformation\Application\Model\Constants;
use D3\ManufacturerInformation\Events\Events;
use D3\ManufacturerInformation\Modules\Application\Model\D3ManufacturerLongDesc;
use D3\ManufacturerInformation\Modules\Application\Model\ManufacturerInfoList;
use OxidEsales\Eshop\Application\Model\Manufacturer as OEManufacturer;
use OxidEsales\Eshop\Application\Model\ManufacturerList as OEManufacturerList;

$sMetadataVersion = '2.1';

$sModuleId = Constants::OXID_MODULE_ID;
$logo = '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em">';

/**
 * Module information
 */
$aModule = [
    'id'          => $sModuleId,
    'title'       => $logo.' Herstellerinformationen',
    'description' => [
        'de' => 'Dieses Modul fügt Ihren Herstellereinstellungen einen Tab zur
					 detaillierten Beschreibung Ihrer Hersteller hinzu.',
        'en' => 'This module adds a new tab to the manufacturer-settings
                     to add manufacturer descriptions.',
    ],
    'thumbnail'   => 'image-file.png',
    'version'     => '1.0.0.0',
    'author'      => $logo.' Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'https://www.oxidmodule.com/',
    'controllers' => [
		"d3manufacturerinfolongdesc" => ManufacturerInfoLongdesc::class
    ],
    'extend'      => [
		// Model
		OEManufacturer::class => D3ManufacturerLongDesc::class,
	    OEManufacturerList::class => ManufacturerInfoList::class
    ],
    'events'      => [
		'onActivate'    => Events::class.'::activate',
		'onDeactivate'  => Events::class.'::deActivate',
    ],
    'templates'   => [
	    'd3manufacturerlongdesc.tpl'        => 'd3/manufacturerinformation/Application/views/admin/tpl/d3manufacturer_longdesc.tpl',
//      'flow_theme' => [
//          'd3FlowTemplateAlias.tpl' => 'd3/thismodule/Application/views/tpl/d3FlowTheme.tpl',
//      ],
    ],
    'settings'    => [
//      [
//          'group'     => $sModuleId.'_headline',
//          'name'      => $sModuleId.'_name',
//          'type'      => 'bool',
//          'value'     => false,
//      ],
    ],
    'blocks'      => [
//      [
//          'template'  => 'layout/footer.tpl',
//          'block'     => 'footer_main',
//          'file'      => 'Application/views/blocks/layout/footer_main_mymodule.tpl'
//      ]
    ],
    'smartyPluginDirectories' => [
//      'Core/Smarty/Plugin'
    ],
];
